{{- range .Values.jobs }}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "helm-jobs.fullname" $ }}-{{ .jobName }}
  namepspace: "{{ $.Values.namespace | default "default" }}"
  labels:
    group-name: "{{ $.Values.groupName | default "gr-jobs" }}"
    {{- include "helm-jobs.labels" $ | nindent 4 }}
spec:
  template:
    metadata:
      labels:
        group-name: "{{ $.Values.groupName | default "gr-jobs" }}"
        {{- include "helm-jobs.labels" $ | nindent 8 }}
    spec:
      {{- with $.Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "helm-jobs.serviceAccountName" $ }}
      {{- with $.Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with $.Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with $.Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      containers:
      - name: {{ .jobName }}
        env:
        {{- toYaml .environment | nindent 10 }}
        securityContext:
          {{- toYaml $.Values.securityContext | nindent 10 }}
        podSecurityContext:
          {{- toYaml $.Values.podSecurityContext | nindent 10 }}
        image: "{{ .image.registry }}/{{ .image.imageName }}:{{ .image.imageVersion }}"
        imagePullPolicy: {{ .image.pullPolicy }}
        command: {{ .image.command }}
        {{- if .image.args }}
        args: {{ .image.args }}
        {{- end }}
        resources:
          {{- toYaml .resources | nindent 10 }}
      restartPolicy: "{{ $.Values.restartPolicy }}"
  backoffLimit: {{ $.Values.backoffLimit }}
{{- end }}
